:root {
  --white: #ffffff;
  --white-soft: #e0e0e0;
  --white-mute: #cbcbcb;

  --light-mode-hover: rgba(0, 102, 255, 0.13);
  --dark-mode-hover: rgba(189, 142, 63, 0.27);

  --black: #181818;
  --black-soft: #222222;
  --black-mute: #333333;

  --divider-light-1: rgba(60, 60, 60, 0.29);
  --divider-light-2: rgba(60, 60, 60, 0.12);
  --divider-dark-1: rgba(84, 84, 84, 0.65);
  --divider-dark-2: rgba(84, 84, 84, 0.48);

  --theme-sidebar-top: 100px;
  --theme-backdrop-color: rgba(34, 34, 34, 0.58);
}

/* colors in light mode */
:root {
  --theme-background: #edf0f4;
  --theme-background-accent: #ffffff;
  --theme-background-darker: #e5e7eB;
  --theme-accent: #578fea;
  --theme-accent-darker: #1d6383;

  --theme-text: #396d7c;
  --theme-text-darker: #2e5865;
  --theme-text-link-hover: rgba(124, 153, 172, 0.5);
}

/* colors in dark mode */
[data-theme="dark"] {
  --theme-background: #222831;
  --theme-background-accent: #393E46;
  --theme-background-darker: #5f646b;
  --theme-accent: #D65A31;
  --theme-accent-darker: #b04b29;

  --theme-text: #EEEEEE;
  --theme-text-darker: #9a9a9a;
  --theme-text-link-hover: rgba(214, 90, 49, 0.3);
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  position: relative;
  font-weight: normal;
}

body {
  min-height: 100vh;
  color: var(--theme-text);
  background: var(--theme-background);
  transition: color 0.5s, background-color 0.5s;
  line-height: 1.6;
  font-family: Inter, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu,
    Cantarell, 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
  font-size: 15px;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  height: 100%;
  user-select: none;
  position: relative;
}
